<?php
namespace WowGmbh\AmazonPay\Domain\Model;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2018 WOW-GmbH <info@wow-gmbh.de>, WOW-GmbH.de
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Customer
 */
class Customer extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * amazonUserId
     *
     * @var string
     */
    protected $amazonUserId = '';

    /**
     * amazonUsername
     *
     * @var string
     */
    protected $amazonUsername = '';

    /**
     * amazonEmail
     *
     * @var string
     */
    protected $amazonEmail = '';

    /**
     * price
     *
     * @var int
     */
    protected $price = 0;

    /**
     * Returns the amazonUserId
     *
     * @return string $amazonUserId
     */
    public function getAmazonUserId()
    {
        return $this->amazonUserId;
    }

    /**
     * Sets the amazonUserId
     *
     * @param string $amazonUserId
     * @return void
     */
    public function setAmazonUserId($amazonUserId)
    {
        $this->amazonUserId = $amazonUserId;
    }

    /**
     * Returns the amazonUsername
     *
     * @return string $amazonUsername
     */
    public function getAmazonUsername()
    {
        return $this->amazonUsername;
    }

    /**
     * Sets the amazonUsername
     *
     * @param string $amazonUsername
     * @return void
     */
    public function setAmazonUsername($amazonUsername)
    {
        $this->amazonUsername = $amazonUsername;
    }

    /**
     * Returns the amazonEmail
     *
     * @return string $amazonEmail
     */
    public function getAmazonEmail()
    {
        return $this->amazonEmail;
    }

    /**
     * Sets the amazonEmail
     *
     * @param string $amazonEmail
     * @return void
     */
    public function setAmazonEmail($amazonEmail)
    {
        $this->amazonEmail = $amazonEmail;
    }

    /**
     * Returns the price
     *
     * @return int $price
     */
    public function getPrice()
    {
        return $this->price;
    }

    /**
     * Sets the price
     *
     * @param int $price
     * @return void
     */
    public function setPrice($price)
    {
        $this->price = $price;
    }

}